LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
tree< T, tree_node_allocator >::post_order_iterator Class Reference

Depth-first iterator, first accessing the children, then the node itself. More...

Inheritance diagram for tree< T, tree_node_allocator >::post_order_iterator:

## Public Member Functions
| post_order_iterator (tree_node *)
| post_order_iterator (const iterator_base &)
| post_order_iterator (const sibling_iterator &)
bool | operator== (const post_order_iterator &) const
bool | operator!= (const post_order_iterator &) const
post_order_iterator & | operator++ ()
post_order_iterator & | operator-- ()
post_order_iterator | operator++ (int)
post_order_iterator | operator-- (int)
post_order_iterator & | operator+= (unsigned int)
post_order_iterator & | operator-= (unsigned int)
void | descend_all ()
| Set iterator to the first child as deep as possible down the tree.

## Detailed Description

### template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::post_order_iterator

Depth-first iterator, first accessing the children, then the node itself.

Definition at line 180 of file tree.hh.

The documentation for this class was generated from the following file:

- tree.hh